%define anolis_release 1

Name:           minizip-ng
Version:        3.0.10
Release:        %{anolis_release}%{?dist}
Summary:        Minizip-ng contrib in zlib-ng with the latest bug fixes and advanced features
License:        zlib
URL:		https://github.com/zlib-ng/minizip-ng
Source0:	https://github.com/zlib-ng/minizip-ng/archive/refs/tags/%{version}.tar.gz

BuildRequires: cmake gcc-c++
BuildRequires: libbsd-devel zlib-devel bzip2-devel libzstd-devel
BuildRequires: xz-devel openssl-devel

Provides: minizip = %{version}-%{release}
Obsoletes: minizip < %{version}-%{release}

%description
Minizip-ng zlib-ng contribution that includes:
* AES encryption
* I/O buffering
* PKWARE disk splitting
It also has the latest bug fixes that having been found all over the internet.

%package devel
Summary:    Development files for %{name}
Requires:   %{name} = %{version}-%{release}
Requires:   zlib-devel

Provides: minizip-devel = %{version}-%{release}
Obsoletes: minizip-devel < %{version}-%{release}

%description devel
Development files for %{name} library.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1


%build
%cmake \
  -DMZ_BUILD_TESTS:BOOL=ON \
  -DSKIP_INSTALL_BINARIES:BOOL=ON \
  -DCMAKE_INSTALL_INCLUDEDIR=include/minizip \
  -DMZ_FORCE_FETCH_LIBS:BOOL=OFF

%cmake_build


%install
%cmake_install
%generate_compatibility_deps

%files
%license LICENSE
%{_libdir}/libminizip.so.3
%{_libdir}/libminizip.so.%{version}
%dir %{abidir}
%{abidir}/libminizip.dump

%files devel
%{_libdir}/libminizip.so
%{_libdir}/pkgconfig/minizip.pc
%{_libdir}/cmake/minizip/
%{_includedir}/minizip/mz*.h
%{_includedir}/minizip/unzip.h
%{_includedir}/minizip/zip.h

%files doc
%doc README.md

%changelog
* Wed May 10 2023 happy_orange <songnannan@linux.alibaba.com> - 3.0.10-1
- init package
